﻿using System;
using System.Collections.Generic;
using System.Drawing;

namespace RaDynamics.QrZahlteilApp.Service
{
    internal class ConnectedEventArgs
    {
        /// <summary>
        /// Identifikation dieses Pairings. Bei Übergabe dieser Wertes an QrZahlteilServiceApi bei einer erneuten Verbindung wird ein automatisches Pairing ermöglicht.
        /// </summary>
        public string SessionId { get; }
        /// <summary>
        /// Der QR-Code als Bild, welcher der Anwender mit seinem Scanner fotografieren muss, um eine Verbindung (Pairing) zwischen dieser Applikation und seinem Scanner herzustellen.
        /// </summary>
        public Image QrCode { get; }
        /// <summary>
        /// Dynamische Parameter oder leere Auflistung
        /// </summary>
        public Dictionary<string, string> CustomParameter { get; }

        public ConnectedEventArgs(string sessionId, Image qrCode, Dictionary<string, string> customParameter)
        {
            SessionId = sessionId ?? throw new ArgumentNullException(nameof(sessionId));
            QrCode = qrCode ?? throw new ArgumentNullException(nameof(qrCode));
            CustomParameter = customParameter ?? throw new ArgumentNullException(nameof(customParameter));
        }
    }
}
