﻿namespace RaDynamics.QrZahlteilApp.Service
{
    public interface IEncryption
    {
        /// <summary>
        /// Schlüssel/Secret welches zur Verschlüsselung verwendet wird.
        /// </summary>
        byte[] Secret { get; }
        /// <summary>
        /// Initialisierungsvektor (IV) der Verschlüsselung oder null, falls dieser bei einer Verschlüsselung nicht eingesetzt wird.
        /// </summary>
        byte[] IV { get; }
        /// <summary>
        /// Liefert [value] mit dem [secret] verschlüsselt.
        /// </summary>
        byte[] Encrypt(string value);
        /// <summary>
        /// Liefert [value] mit dem [secret] entschlüsselt.
        /// </summary>
        string Decrypt(byte[] value);
    }
}
