﻿using System.Collections.Generic;
using System.Linq;

namespace RaDynamics.QrZahlteilApp.Service
{
    public enum PictureFormat
    {
        NoPictures,
        SeparatePictures,
        Pdf
    }

    internal static class PictureFormatHelper
    {
        private static readonly Dictionary<PictureFormat, string> Mapping = new Dictionary<PictureFormat, string>()
        {
            { PictureFormat.NoPictures, null},
            { PictureFormat.SeparatePictures, "separatePictures"},
            { PictureFormat.Pdf, "pdf"},
        };

        public static string ToKey(PictureFormat value)
        {
            return Mapping[value];
        }

        public static PictureFormat FromKey(string value)
        {
            return Mapping.Single(o => o.Value == value).Key;
        }
    }
}
