﻿using System;

namespace RaDynamics.QrZahlteilApp.Service
{
    public class ServerErrorEventArgs
    {
        /// <summary>
        /// Technischer Code des Fehlers.
        /// </summary>
        public string ErrorCode { get; }
        /// <summary>
        /// Technischer Key des Fehlers.
        /// </summary>
        public string Key { get; }
        /// <summary>
        /// Optional ein Text zum Fehler
        /// </summary>
        public string Text { get; }

        public ServerErrorEventArgs(string errorCode, string key, string text)
        {
            ErrorCode = errorCode ?? throw new ArgumentNullException(nameof(errorCode));
            Key = key ?? throw new ArgumentNullException(nameof(key));
            Text = text;
        }
    }
}
